import 'package:flutter_map/src/entity/map_padding.dart';
import 'package:flutter_map/src/entity/polyline.dart';

import '../../flutter_map.dart';
import '../consts/polyline_type.dart';

abstract class MapPolylineInterface {
  //画线   isAnimateCamera 是否动画移动到线的起点 ，mapPadding 地图边距 单位dp
  void addPolyline(Polyline polyline,
      {bool isAnimateCamera = true, MapPadding? mapPadding});

  //清除制定的线
  void removePolyline(String lineId);

  void clearAllPolylines();
}
